Loading...
Searching...
No Matches
laev2: 2x2 eig
LAPACK » Hermitian/symmetric eigenvalues » Eig computational routines
Collaboration diagram for laev2: 2x2 eig:

## Functions

subroutine | claev2 (a, b, c, rt1, rt2, cs1, sn1)
| CLAEV2 computes the eigenvalues and eigenvectors of a 2-by-2 symmetric/Hermitian matrix.
subroutine | dlaev2 (a, b, c, rt1, rt2, cs1, sn1)
| DLAEV2 computes the eigenvalues and eigenvectors of a 2-by-2 symmetric/Hermitian matrix.
subroutine | slaev2 (a, b, c, rt1, rt2, cs1, sn1)
| SLAEV2 computes the eigenvalues and eigenvectors of a 2-by-2 symmetric/Hermitian matrix.
subroutine | zlaev2 (a, b, c, rt1, rt2, cs1, sn1)
| ZLAEV2 computes the eigenvalues and eigenvectors of a 2-by-2 symmetric/Hermitian matrix.

## Detailed Description